Uploaded image for project: 'HBase'
  1. HBase
  2. HBASE-18883

Upgrade to Curator 4.0

    XMLWordPrintableJSON

Details

    • Incompatible change
    • Hide
      Curator version has been updated from 2.x to 4.0 (running in ZK 3.4 compatibility mode).

      Users who experience classpath issues due to version conflicts are recommended to use either the hbase-shaded-client or hbase-shaded-mapreduce artifacts.
      Show
      Curator version has been updated from 2.x to 4.0 (running in ZK 3.4 compatibility mode). Users who experience classpath issues due to version conflicts are recommended to use either the hbase-shaded-client or hbase-shaded-mapreduce artifacts.

    Description

      While we're doing a dependency pass for HBase 2, we should see if we can bump Curator to 4.0

      Attachments

        1. HBASE-18883.patch
          1 kB
          Mike Drob
        2. HBASE-18883.v2.patch
          2 kB
          Mike Drob

        Issue Links

          Activity

            People

              mdrob Mike Drob
              mdrob Mike Drob
              Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: